# Method: projects.locations.documents.documentLinks.delete

Remove the link between the source and target documents.

### HTTP request

`POST https://contentwarehouse.googleapis.com/v1/{name}:delete`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the document-link to be deleted. Format: projects/{projectNumber}/locations/{location}/documents/{source_document_id}/documentLinks/{document_link_id}. It takes the form `projects/{project}/locations/{location}/documents/{document}/documentLinks/{documentlink}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestMetadata": { object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/RequestMetadata`) } } ``` |

| Fields ||
|---|---|
| `requestMetadata` | ``object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/RequestMetadata`)`` The meta information collected about the document creator, used to enforce access control for the service. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `contentwarehouse.documents.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).